Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.ide
Interface IDE.SharedImages

Enclosing interface:
  IDE

public static interface IDE.SharedImages

Standard shared images defined by the IDE. These are over and above the standard workbench images declared in `ISharedImages`.

This interface is not intended to be implemented by clients.

See Also:
  `ISharedImages`

Field Summary
`static String` | `IMG_OBJ_PROJECT` Identifies a project image.
`static String` | `IMG_OBJ_PROJECT_CLOSED` Identifies a closed project image.
`static String` | `IMG_OBJS_BKMRK_TSK` Identifies the default image used to indicate a bookmark.
`static String` | `IMG_OBJS_TASK_TSK` Identifies the default image used to indicate a task.
`static String` | `IMG_OPEN_MARKER` Identifies the image used for "open marker".

Field Detail

### IMG_OBJ_PROJECT

    public static final String IMG_OBJ_PROJECT

  Identifies a project image.

  See Also:
    Constant Field Values

### IMG_OBJ_PROJECT_CLOSED

    public static final String IMG_OBJ_PROJECT_CLOSED

  Identifies a closed project image.

  See Also:
    Constant Field Values

### IMG_OPEN_MARKER

    public static final String IMG_OPEN_MARKER

  Identifies the image used for "open marker".

  See Also:
    Constant Field Values

### IMG_OBJS_TASK_TSK

    public static final String IMG_OBJS_TASK_TSK

  Identifies the default image used to indicate a task.

  See Also:
    Constant Field Values

### IMG_OBJS_BKMRK_TSK

    public static final String IMG_OBJS_BKMRK_TSK

  Identifies the default image used to indicate a bookmark.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.